Adjust an allocation
curl --request PATCH \
--url https://devapi.eazecustoms.com/staging/v1/shipments/{id}/allocations/{allocationId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"hawbId": "<string>",
"packageCount": 123,
"grossWeightKg": 123,
"declarationProcedureType": "<string>",
"customsDeclarationType": "<string>",
"customsDeclarationNumber": "<string>"
}
'import requests
url = "https://devapi.eazecustoms.com/staging/v1/shipments/{id}/allocations/{allocationId}"
payload = {
"hawbId": "<string>",
"packageCount": 123,
"grossWeightKg": 123,
"declarationProcedureType": "<string>",
"customsDeclarationType": "<string>",
"customsDeclarationNumber": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
hawbId: '<string>',
packageCount: 123,
grossWeightKg: 123,
declarationProcedureType: '<string>',
customsDeclarationType: '<string>',
customsDeclarationNumber: '<string>'
})
};
fetch('https://devapi.eazecustoms.com/staging/v1/shipments/{id}/allocations/{allocationId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allocationId": "alc_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"shipmentId": "shp_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"hawbId": "hawb_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"source": "EXTERNAL",
"declarationId": null,
"declarationProcedureType": "H1",
"customsDocumentType": "X",
"customsDeclarationType": "IM",
"customsDeclarationNumber": "26NL12345678901234",
"packageCount": 3,
"grossWeightKg": 30,
"isActive": true,
"createdAt": "2026-06-10T08:30:00.000Z",
"updatedAt": "2026-06-10T09:00:00.000Z"
}
RTO
Adjust an allocation
Adjust an allocation. INTERNAL allocations only accept hawbId, packageCount, and grossWeightKg.
PATCH
/
v1
/
shipments
/
{id}
/
allocations
/
{allocationId}
Adjust an allocation
Adjust an allocation. An INTERNAL allocation (from MRN sync) only accepts
hawbId, packageCount, and grossWeightKg; other fields are ignored for it.
Path Parameters
string
required
Shipment Public ID (
shp_…).string
required
Allocation Public ID (
alc_…).Body
string
HAWB Public ID (
hawb_…). Set to null to move the allocation to the master AWB.integer
Updated package count.
number
Updated gross weight in kilograms.
string
Updated procedure type (EXTERNAL allocations only).
string
Updated customs declaration type (EXTERNAL allocations only).
string
Updated customs declaration number (EXTERNAL allocations only).
JSON Payload
{
"packageCount": 3,
"grossWeightKg": 30
}
{
"allocationId": "alc_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"shipmentId": "shp_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"hawbId": "hawb_3f9a1c0e5b7d4e2f8a6c1b9d0e3f7a25",
"source": "EXTERNAL",
"declarationId": null,
"declarationProcedureType": "H1",
"customsDocumentType": "X",
"customsDeclarationType": "IM",
"customsDeclarationNumber": "26NL12345678901234",
"packageCount": 3,
"grossWeightKg": 30,
"isActive": true,
"createdAt": "2026-06-10T08:30:00.000Z",
"updatedAt": "2026-06-10T09:00:00.000Z"
}